#include "constant.h"

using namespace System;


namespace TechnoAP { namespace usbmca {

	namespace constant
	{
		/////Max class/////
		/// <summary>
		/// Acquisition of maximum ADC gain value(ch)
		/// </summary>
		int Max::GetAdgMaxCh(unsigned int uAdg)
		{
			int result = 0;

			for (int i = 0; i < (int)(AdcGainEnd); i++) {
				if (i == (int)(uAdg)) {
					int n = (int)(Math::Pow(2.0, (double)(i)));
					result = Resolution / n;
					break;
				}
			}

			return result;
		}

		/////Command class/////
		/// <summary>
		/// Command comparison
		/// </summary>
		bool Command::isChCommand(String ^command1, String ^command2)
		{
			bool result = false;

			if (String::Compare(command1, command2, false) == 0) {
				result = true;
			}

			return result;
		}
	}
} }


